# hksdk-py

#### 介绍
海康威视热成像设备sdk python调用获取温度示例

#### 软件架构
    python3

#### 使用说明

1.  从海康威视官方网站下载对应版本的sdk。
2.  将sdk文件拷贝到项目目录lib下。
3.  将测试文件中的ip 用户名 密码等改成自己的然后启动测试即可。

#### 关于sdk实现

1. 实时测温
设备配置好测温规则之后会自动检测配置的点、线或框的温度，实时测温即获取这些规则检测到的温度信息。热成像相关功能配置只支持在热成像通道上实现。热成像重载云台和热成像中载云台设备，有两个通道，第一个通道为可见光通道，第二个通道为热成像通道；热成像单目筒机只有一个通道，为热成像通道。

2. 全屏测温（代码目前实现方式）
全屏测温，可以获取设备输出的探测器的每个像素点的温度信息，可通过抓热图或者全屏测温实时上传方式获取。热成像相关功能配置只支持在热成像通道上实现。热成像重载云台和热成像中载云台设备，有两个通道，第一个通道为可见光通道，第二个通道为热成像通道；热成像单目筒机只有一个通道，为热成像通道。

(1) 抓热图是全屏测温的其中一种方法，客户端下发一个抓热图命令给设备，设备抓取热成像图片、每一个像素的温度矩阵以及可见光图片（有可见光通道的设备）并且返回给客户端。支持的抓图频率，每秒1张或者4张图片，受限于设备性能，无法达到实时帧率。

(2) 全屏测温实时上传，是指设备实时上传每一帧图像的每个像素点的温度数据矩阵。



#### 参与贡献

#### 联系我们
QQ 1216663169